using SteamWare;
using System.Web.UI;

public partial class mod_menuSx : ApplicationUserControl
{

    protected override void aggiornaControlliDataGL()
    {
        // se l'utente c'è...
        if (user_std.UtSn.isAuth && !Page.IsPostBack)
        {
            updateTreeMenu();
        }
    }
    /// <summary>
    /// aggiornamento del menù
    /// </summary>
    private void updateTreeMenu()
    {
        XmlDataSource1.Data = user_std.UtSn.mappaSito;
        //user_std.UtSn.ricaricaMappaSito();
        //XmlDataSource1.Data = user_std.UtSn.mappaSitoLive;
        XmlDataSource1.XPath = "mainMenu/menu";
        XmlDataSource1.DataBind();
    }
    /// <summary>
    /// forza l'update del menù sx
    /// </summary>
    public void forzaUpdateMenu()
    {
        user_std.UtSn.ricaricaMappaSito();
        updateTreeMenu();
    }
}
